routing
List Routing Models
GET
/
api
/
routing-models
List Routing Models
curl --request GET \
--url https://api.aixy-gateway.com/api/routing-models \
--cookie gateway_session=import requests
url = "https://api.aixy-gateway.com/api/routing-models"
headers = {"cookie": "gateway_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gateway_session='}};
fetch('https://api.aixy-gateway.com/api/routing-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"name": "<string>",
"alias": "<string>",
"aliases": [
"<string>"
],
"model": "<string>",
"description": "<string>",
"strategy": "<string>",
"max_attempts": 123,
"retry_on": [
"<string>"
],
"enabled": true,
"strict_capabilities": true,
"session_affinity": true,
"circuit_breaker_enabled": true,
"auto_routing": {
"backend": "aixy_managed",
"enabled": true
},
"targets": [
{
"id": "<string>",
"provider": "<string>",
"model": "<string>",
"model_reference": "<string>",
"position": 123,
"weight": 123,
"timeout_ms": 123,
"connection_scope": "<string>",
"capabilities": {
"tools": true,
"structured_output": true,
"vision": true
},
"task_description": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>",
"object": "routing.model"
}
],
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Secure same-origin browser session cookie.
Query Parameters
Project UUID; omit for organization routes. Projects include inherited routes.
⌘I
List Routing Models
curl --request GET \
--url https://api.aixy-gateway.com/api/routing-models \
--cookie gateway_session=import requests
url = "https://api.aixy-gateway.com/api/routing-models"
headers = {"cookie": "gateway_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gateway_session='}};
fetch('https://api.aixy-gateway.com/api/routing-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"name": "<string>",
"alias": "<string>",
"aliases": [
"<string>"
],
"model": "<string>",
"description": "<string>",
"strategy": "<string>",
"max_attempts": 123,
"retry_on": [
"<string>"
],
"enabled": true,
"strict_capabilities": true,
"session_affinity": true,
"circuit_breaker_enabled": true,
"auto_routing": {
"backend": "aixy_managed",
"enabled": true
},
"targets": [
{
"id": "<string>",
"provider": "<string>",
"model": "<string>",
"model_reference": "<string>",
"position": 123,
"weight": 123,
"timeout_ms": 123,
"connection_scope": "<string>",
"capabilities": {
"tools": true,
"structured_output": true,
"vision": true
},
"task_description": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>",
"object": "routing.model"
}
],
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}